DirectSpellChecker.ScoreTerm (Lucene 10.5.0 suggest API)
Description: declaration: package: org.apache.lucene.search.spell, class: DirectSpellChecker, class: ScoreTerm

Package org.apache.lucene.search.spell

# Class DirectSpellChecker.ScoreTerm

java.lang.Object
org.apache.lucene.search.spell.DirectSpellChecker.ScoreTerm

All Implemented Interfaces:
  `Comparable<DirectSpellChecker.ScoreTerm>`

Enclosing class:
  `DirectSpellChecker`

protected static class DirectSpellChecker.ScoreTerm extends Object implements Comparable<DirectSpellChecker.ScoreTerm>
Holds a spelling correction for internal usage inside `DirectSpellChecker`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `float`
  `boost`
  The boost representing the similarity from the FuzzyTermsEnum (internal similarity score)
  `int`
  `docfreq`
  The df of the spellcheck correction.
  `float`
  `score`
  The similarity score.
  `BytesRef`
  `term`
  The actual spellcheck correction.
  `String`
  `termAsString`
  The spellcheck correction represented as string, can be `null`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScoreTerm()`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(DirectSpellChecker.ScoreTerm other)`
  `boolean`
  `equals(Object obj)`
  `int`
  `hashCode()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### term

    public BytesRef term
    The actual spellcheck correction.

  - ### boost

    public float boost
    The boost representing the similarity from the FuzzyTermsEnum (internal similarity score)

  - ### docfreq

    public int docfreq
    The df of the spellcheck correction.

  - ### termAsString

    public String termAsString
    The spellcheck correction represented as string, can be `null`.

  - ### score

    public float score
    The similarity score.

- ## Constructor Details

  - ### ScoreTerm

    public ScoreTerm()
    Constructor.

- ## Method Details

  - ### compareTo

    public int compareTo(DirectSpellChecker.ScoreTerm other)
    Specified by:
      `compareTo` in interface `Comparable<DirectSpellChecker.ScoreTerm>`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`